Index: anuga_work/development/2010-projects/anuga_1d/compile_all.py
===================================================================
--- anuga_work/development/2010-projects/anuga_1d/compile_all.py	(revision 7839)
+++ anuga_work/development/2010-projects/anuga_1d/compile_all.py	(revision 7840)
@@ -9,17 +9,17 @@
 
 os.chdir('..')
-os.chdir('generic_1d')
+os.chdir('generic')
 execfile('..' + os.sep + 'utilities' + os.sep + 'compile.py')
 
 os.chdir('..')
-os.chdir('channel_flow')
+os.chdir('channel')
 execfile('..' + os.sep + 'utilities' + os.sep + 'compile.py')
 
 os.chdir('..')
-os.chdir('pipe_flow')
+os.chdir('pipe')
 execfile('..' + os.sep + 'utilities' + os.sep + 'compile.py')
 
 os.chdir('..')
-os.chdir('sww_flow')
+os.chdir('sww')
 execfile('..' + os.sep + 'utilities' + os.sep + 'compile.py')
 
Index: anuga_work/development/2010-projects/anuga_1d/generic/test_generic_domain.py
===================================================================
--- anuga_work/development/2010-projects/anuga_1d/generic/test_generic_domain.py	(revision 7839)
+++ anuga_work/development/2010-projects/anuga_1d/generic/test_generic_domain.py	(revision 7840)
@@ -5,5 +5,5 @@
 
 
-from flow_1d.generic_1d.generic_domain import *
+from anuga_1d.generic.generic_domain import *
 import numpy
 
Index: anuga_work/development/2010-projects/anuga_1d/sww/sww_boundary_conditions.py
===================================================================
--- anuga_work/development/2010-projects/anuga_1d/sww/sww_boundary_conditions.py	(revision 7839)
+++ anuga_work/development/2010-projects/anuga_1d/sww/sww_boundary_conditions.py	(revision 7840)
@@ -7,5 +7,5 @@
 __date__ ="$05/06/2010 5:44:05 PM$"
 
-from flow_1d.generic_1d.generic_domain import *
+from anuga_1d.generic.generic_domain import *
 
 class Dirichlet_boundary(Boundary):
Index: anuga_work/development/2010-projects/anuga_1d/sww/sww_domain.py
===================================================================
--- anuga_work/development/2010-projects/anuga_1d/sww/sww_domain.py	(revision 7839)
+++ anuga_work/development/2010-projects/anuga_1d/sww/sww_domain.py	(revision 7840)
@@ -45,5 +45,5 @@
 import numpy
 
-from flow_1d.generic_1d.generic_domain import Generic_domain
+from anuga_1d.generic.generic_domain import Generic_domain
 from sww_boundary_conditions import *
 from sww_forcing_terms import *
@@ -65,5 +65,5 @@
                                 tagged_elements      = tagged_elements)
         
-        from flow_1d.config import minimum_allowed_height, g, h0
+        from anuga_1d.config import minimum_allowed_height, g, h0
         self.minimum_allowed_height = minimum_allowed_height
         self.g = g
@@ -84,5 +84,5 @@
         
         #Reduction operation for get_vertex_values
-        from flow_1d.utilities.util import mean
+        from anuga_1d.generic.util import mean
         self.reduction = mean
         #self.reduction = min  #Looks better near steep slopes
@@ -152,5 +152,5 @@
 
 
-        from flow_1d.sww_flow.sww_comp_flux_ext import compute_fluxes_ext_short
+        from anuga_1d.sww.sww_comp_flux_ext import compute_fluxes_ext_short
 
         #self.flux_timestep = compute_fluxes_ext(timestep,self,stage,xmom,bed,height,velocity)
@@ -235,5 +235,5 @@
 
     import sys
-    from flow_1d.config import epsilon, h0
+    from anuga_1d.config import epsilon, h0
 	
     N = domain.number_of_elements
Index: anuga_work/development/2010-projects/anuga_1d/sww/sww_forcing_terms.py
===================================================================
--- anuga_work/development/2010-projects/anuga_1d/sww/sww_forcing_terms.py	(revision 7839)
+++ anuga_work/development/2010-projects/anuga_1d/sww/sww_forcing_terms.py	(revision 7840)
@@ -14,5 +14,5 @@
     """
 
-    from flow_1d.utilities.util import gradient
+    from anuga_1d.generic.util import gradient
 
     xmom  = domain.quantities['xmomentum'].explicit_update
Index: anuga_work/development/2010-projects/anuga_1d/sww/sww_python.py
===================================================================
--- anuga_work/development/2010-projects/anuga_1d/sww/sww_python.py	(revision 7839)
+++ anuga_work/development/2010-projects/anuga_1d/sww/sww_python.py	(revision 7840)
@@ -132,5 +132,5 @@
     """
 
-    from flow_1d.config import g, epsilon, h0
+    from anuga_1d.config import g, epsilon, h0
     from math import sqrt
     import numpy
Index: anuga_work/development/2010-projects/anuga_1d/sww/sww_vel_domain.py
===================================================================
--- anuga_work/development/2010-projects/anuga_1d/sww/sww_vel_domain.py	(revision 7839)
+++ anuga_work/development/2010-projects/anuga_1d/sww/sww_vel_domain.py	(revision 7840)
@@ -44,5 +44,5 @@
 
 
-from flow_1d.generic_1d.generic_domain import *
+from anuga_1d.generic.generic_domain import *
 from sww_boundary_conditions import *
 from sww_forcing_terms import *
@@ -64,5 +64,5 @@
                                 tagged_elements = tagged_elements)
         
-        from flow_1d.config import minimum_allowed_height, g, h0
+        from anuga_1d.config import minimum_allowed_height, g, h0
         self.minimum_allowed_height = minimum_allowed_height
         self.g = g
@@ -82,5 +82,5 @@
         
         #Reduction operation for get_vertex_values
-        from flow_1d.utilities.util import mean
+        from anuga_1d.generic.util import mean
         self.reduction = mean
         #self.reduction = min  #Looks better near steep slopes
@@ -149,5 +149,5 @@
 
 
-    from flow_1d.sww_flow.sww_vel_comp_flux_ext import compute_fluxes_ext
+    from anuga_1d.sww_flow.sww_vel_comp_flux_ext import compute_fluxes_ext
 
     domain.flux_timestep = compute_fluxes_ext(timestep,domain,stage,xmom,bed)
@@ -171,5 +171,5 @@
 
 
-    from flow_1d.sww_flow.sww_vel_comp_flux_ext import compute_fluxes_vel_ext
+    from anuga_1d.sww.sww_vel_comp_flux_ext import compute_fluxes_vel_ext
 
     domain.flux_timestep = compute_fluxes_vel_ext(timestep,domain,stage,xmom,bed,height,velocity)
@@ -207,5 +207,5 @@
     import sys
     from numpy import zeros
-    from flow_1d.config import epsilon, h0
+    from anuga_1d.config import epsilon, h0
 	
     N = domain.number_of_elements
@@ -302,5 +302,5 @@
     import sys
     from numpy import zeros
-    from flow_1d.config import epsilon, h0
+    from anuga_1d.config import epsilon, h0
 	
     N = domain.number_of_elements
Index: anuga_work/development/2010-projects/anuga_1d/test_all.py
===================================================================
--- anuga_work/development/2010-projects/anuga_1d/test_all.py	(revision 7839)
+++ anuga_work/development/2010-projects/anuga_1d/test_all.py	(revision 7840)
@@ -23,6 +23,6 @@
 
 # Directories that should not be searched for test files.
-exclude_dirs = ['channel_flow',    # Special requirements
-                '.svn',          # subversion
+exclude_dirs = ['channel',    # Special requirements
+                '.svn',       # subversion
                 'props', 'wcprops', 'prop-base', 'text-base', 'tmp']
 