Index: /trunk/anuga_core/source/anuga/anuga_exceptions.py
===================================================================
--- /trunk/anuga_core/source/anuga/anuga_exceptions.py	(revision 7864)
+++ /trunk/anuga_core/source/anuga/anuga_exceptions.py	(revision 7865)
@@ -4,16 +4,42 @@
 import exceptions
 
-class TitleError(exceptions.IOError): pass
-class ParsingError(exceptions.IOError): pass
-class ShapeError(exceptions.IOError): pass
+class TitleError(exceptions.IOError):
+    """ Incorrect header in a file. """
+    pass
+
+class ParsingError(exceptions.IOError):
+    """ Could not parse a file. """
+    pass
+    
+class ShapeError(exceptions.IOError):
+    """ Pathological shape in data. """
+    pass
 
 class ANUGAError(Exception):
+    """ Generic ANUGA error. """
     def __init__(self, args=None):
         self.args = args
 
-class DataMissingValuesError(exceptions.Exception): pass
-class DataFileNotOpenError(exceptions.Exception): pass
-class DataTimeError(exceptions.Exception): pass
-class DataDomainError(exceptions.Exception): pass
-class NewQuantity(exceptions.Exception): pass
-class TitleValueError(exceptions.Exception): pass
+class DataMissingValuesError(exceptions.Exception):
+    """ Missing values in file. """
+    pass
+    
+class DataFileNotOpenError(exceptions.Exception):
+    """ File is not open. """
+    pass
+    
+class DataTimeError(exceptions.Exception):
+    """ Pathological time data. """
+    pass
+    
+class DataDomainError(exceptions.Exception):
+    """ Pathological domain. """
+    pass
+    
+class NewQuantity(exceptions.Exception):
+    """ Quantity used but not defined. """
+    pass
+    
+class TitleValueError(exceptions.Exception):
+    """ Title of data column in file has wrong value. """
+    pass
Index: /trunk/anuga_core/source/anuga/build_options.py
===================================================================
--- /trunk/anuga_core/source/anuga/build_options.py	(revision 7864)
+++ /trunk/anuga_core/source/anuga/build_options.py	(revision 7865)
@@ -1,3 +1,3 @@
-# Build configuration for ANUGA
+""" Build configuration for ANUGA. """
 
 # Flags to pass to GCC
Index: /trunk/anuga_core/source/anuga/compile_all.py
===================================================================
--- /trunk/anuga_core/source/anuga/compile_all.py	(revision 7864)
+++ /trunk/anuga_core/source/anuga/compile_all.py	(revision 7865)
@@ -1,5 +1,7 @@
+""" Script to compile all C extensions in ANUGA. """
+
 import os
 
-buildroot = os.getcwd()
+BUILDROOT = os.getcwd()
 
 #Attempt to compile all extensions
@@ -32,5 +34,5 @@
 execfile('..' + os.sep + 'utilities' + os.sep + 'compile.py')
 
-os.chdir(buildroot)    
+os.chdir(BUILDROOT)    
 #execfile('test_all.py')
     
Index: /trunk/anuga_core/source/anuga/config.py
===================================================================
--- /trunk/anuga_core/source/anuga/config.py	(revision 7864)
+++ /trunk/anuga_core/source/anuga/config.py	(revision 7865)
@@ -43,5 +43,6 @@
 #g = 9.80665    # Gravity - FIXME reinstate this and fix unit tests.
 g = 9.8
-#g(phi) = 9780313 * (1 + 0.0053024 sin(phi)**2 - 0.000 0059 sin(2*phi)**2) micro m/s**2, where phi is the latitude
+#g(phi) = 9780313 * (1 + 0.0053024 sin(phi)**2 - 0.000 0059 sin(2*phi)**2)
+# micro m/s**2, where phi is the latitude
 #The 'official' average is 9.80665
 
@@ -138,5 +139,6 @@
 #
 # The actual soundspeed can be as high as 1530m/s
-# (see http://staff.washington.edu/aganse/public.projects/clustering/clustering.html),
+# (see http://staff.washington.edu/aganse/public.projects/
+#            clustering/clustering.html),
 # but that would only happen with h>225000m in this equation. Why ?
 # The maximal speed we specify is really related to the max speed
Index: /trunk/anuga_core/source/anuga/count_lines.py
===================================================================
--- /trunk/anuga_core/source/anuga/count_lines.py	(revision 7864)
+++ /trunk/anuga_core/source/anuga/count_lines.py	(revision 7865)
@@ -4,12 +4,12 @@
 import os
 
-s = 'find . -type f -name "*.py" -print | xargs wc -l'
-print s
-os.system(s)
+cmd_string = 'find . -type f -name "*.py" -print | xargs wc -l'
+print cmd_string
+os.system(cmd_string)
 
 
-s = 'find . -type f -name "*.c" -print | xargs wc -l'
-print s
-os.system(s)
+cmd_string = 'find . -type f -name "*.c" -print | xargs wc -l'
+print cmd_string
+os.system(cmd_string)
 
 
Index: /trunk/anuga_core/source/anuga/setup.py
===================================================================
--- /trunk/anuga_core/source/anuga/setup.py	(revision 7864)
+++ /trunk/anuga_core/source/anuga/setup.py	(revision 7865)
@@ -1,1 +1,2 @@
+""" Dummy file - setup would be a script to install ANUGA. """
 pass
Index: /trunk/anuga_core/source/anuga/test_all.py
===================================================================
--- /trunk/anuga_core/source/anuga/test_all.py	(revision 7864)
+++ /trunk/anuga_core/source/anuga/test_all.py	(revision 7865)
@@ -23,5 +23,5 @@
 
 # Directories that should not be searched for test files.
-exclude_dirs = ['pypar_dist',  'shallow_water_balanced',   # Special requirements
+exclude_dirs = ['pypar_dist',  'shallow_water_balanced',  # Special requirements
                 '.svn',          # subversion
                 'props', 'wcprops', 'prop-base', 'text-base', 'tmp']
@@ -68,10 +68,11 @@
 
 
-##
-# @brief Get 'test_*.py' files and paths to directories.
-# @param path Path to directory to start walk in.
-# @return A tuple (<files>, <dirs>).
-# @note Don't include any files in and below forbidden directories.
 def get_test_files(path):
+    """ Get 'test_*.py' files and paths to directories.
+    param path Path to directory to start walk in.
+    @return A tuple (<files>, <dirs>).
+    Don't include any files in and below forbidden directories.
+
+    """
     walk = os.walk(path)
 