Index: /trunk/anuga_work/development/sudi/sw_1d/avalanche/A_velocity/debris_avalanche_RUN.py
===================================================================
--- /trunk/anuga_work/development/sudi/sw_1d/avalanche/A_velocity/debris_avalanche_RUN.py	(revision 7913)
+++ /trunk/anuga_work/development/sudi/sw_1d/avalanche/A_velocity/debris_avalanche_RUN.py	(revision 7914)
@@ -2,7 +2,7 @@
 import time
 from shallow_water_domain_avalanche import *
-from Numeric import array, zeros, Float, sqrt
+from Numeric import Float, sqrt
 from config import g, epsilon
-from numpy import sin, cos, tan
+from numpy import sin, cos, tan, array, zeros
 from scipy import linspace
 from parameters import *
Index: /trunk/anuga_work/development/sudi/sw_1d/avalanche/A_velocity/domain.py
===================================================================
--- /trunk/anuga_work/development/sudi/sw_1d/avalanche/A_velocity/domain.py	(revision 7913)
+++ /trunk/anuga_work/development/sudi/sw_1d/avalanche/A_velocity/domain.py	(revision 7914)
@@ -24,6 +24,6 @@
         """
 
-        from Numeric import array, zeros, Float, Int
-
+        from Numeric import Float, Int
+        from numpy import array, zeros
         from config import timestepping_method
         from config import CFL
@@ -175,5 +175,5 @@
           self.vertexlist is built
         """
-        from Numeric import array
+        from numpy import array
 
         vertexlist = [None]*len(self.coordinates)
@@ -322,5 +322,6 @@
             self.element_tag is defined
         """
-        from Numeric import array, Int
+        from Numeric import Int
+        from numpy import array        
 
         if tagged_elements is None:
@@ -393,5 +394,5 @@
 
         if obj is True:
-            from Numeric import concatenate, reshape
+            from numpy import concatenate, reshape
             V = self.vertices
             N = V.shape[0]
@@ -412,5 +413,6 @@
         """
 
-        from Numeric import zeros, Float
+        from Numeric import Float
+        from numpy import zeros        
         q = zeros( len(self.conserved_quantities), Float)
         for i, name in enumerate(self.conserved_quantities):
@@ -436,5 +438,6 @@
         """
 
-        from Numeric import zeros, Float
+        from Numeric import Float
+        from numpy import zeros        
         q = zeros( len(self.evolved_quantities), Float)
 
@@ -1079,5 +1082,6 @@
         """
         import copy
-        from Numeric import zeros,Float
+        from Numeric import Float
+        from numpy import zeros       
 
         N = self.number_of_elements
@@ -1137,5 +1141,6 @@
         """
         import copy
-        from Numeric import zeros,Float
+        from Numeric import Float
+        from numpy import zeros       
 
         N = self.number_of_elements
@@ -1352,5 +1357,6 @@
         """
 
-        from Numeric import ones, sum, equal, Float
+        from Numeric import Float
+        from numpy import ones, sum, equal        
 
         N = self.number_of_elements
Index: /trunk/anuga_work/development/sudi/sw_1d/avalanche/A_velocity/generic_boundary_conditions.py
===================================================================
--- /trunk/anuga_work/development/sudi/sw_1d/avalanche/A_velocity/generic_boundary_conditions.py	(revision 7913)
+++ /trunk/anuga_work/development/sudi/sw_1d/avalanche/A_velocity/generic_boundary_conditions.py	(revision 7914)
@@ -43,5 +43,6 @@
         self.velocity = domain.quantities['velocity'].vertex_values
 
-        from Numeric import zeros, Float
+        from Numeric import Float
+        from numpy import zeros        
         self.evolved_quantities = zeros(5, Float)
 
@@ -103,5 +104,6 @@
             raise msg
 
-        from Numeric import array, Float
+        from Numeric import Float
+        from numpy import array       
         self.conserved_quantities=array(conserved_quantities).astype(Float)
 
@@ -132,5 +134,6 @@
 
 
-        from Numeric import array, Float
+        from Numeric import Float
+        from numpy import array     
         try:
             q = array(q).astype(Float)
@@ -173,5 +176,5 @@
     def __init__(self, filename, domain):
         import time
-        from Numeric import array
+        from numpy import array
         from config import time_format
         from util import File_function
@@ -223,5 +226,6 @@
     def __init__(self, filename, domain, verbose = False):
         import time
-        from Numeric import array, zeros, Float
+        from Numeric import Float
+        from numpy import array, zeros       
         from config import time_format
         from util import file_function
@@ -421,5 +425,5 @@
     def __init__(self, domain = None, filename = None):
         import time
-        from Numeric import array
+        from numpy import array
         from config import time_format
 
@@ -479,5 +483,6 @@
 
     def read_time_boundary(self):
-        from Numeric import zeros, Float, alltrue
+        from Numeric import Float
+        from numpy import zeros, alltrue        
         from config import time_format
         import time
Index: /trunk/anuga_work/development/sudi/sw_1d/avalanche/A_velocity/parameters.py
===================================================================
--- /trunk/anuga_work/development/sudi/sw_1d/avalanche/A_velocity/parameters.py	(revision 7913)
+++ /trunk/anuga_work/development/sudi/sw_1d/avalanche/A_velocity/parameters.py	(revision 7914)
@@ -1,3 +1,4 @@
-from Numeric import zeros, Float, sqrt
+from Numeric import Float, sqrt
+from numpy import zeros
 from config import g
 from scipy import sin, cos, tan, arcsin, arccos, arctan, pi
Index: /trunk/anuga_work/development/sudi/sw_1d/avalanche/A_velocity/quantity.py
===================================================================
--- /trunk/anuga_work/development/sudi/sw_1d/avalanche/A_velocity/quantity.py	(revision 7913)
+++ /trunk/anuga_work/development/sudi/sw_1d/avalanche/A_velocity/quantity.py	(revision 7914)
@@ -24,5 +24,6 @@
         
         from domain import Domain
-        from Numeric import array, zeros, Float
+        from Numeric import Float
+        from numpy import array, zeros       
 
         msg = 'First argument in Quantity.__init__ '
@@ -60,5 +61,6 @@
 
 
-        from Numeric import zeros, Float
+        from Numeric import Float
+        from numpy import zeros        
         
         #Allocate space for boundary values
@@ -194,5 +196,6 @@
         """
 
-        from Numeric import array, Float
+        from Numeric import Float
+        from numpy import array    
 
         values = array(values).astype(Float)
@@ -237,5 +240,5 @@
 
         """
-        from Numeric import take
+        from numpy import take
 
         if location not in ['vertices', 'centroids', 'unique vertices']:
@@ -310,5 +313,6 @@
         """
 
-        from Numeric import concatenate, zeros, Float, Int, array, reshape
+        from Numeric import Float, Int
+        from numpy import concatenate, zeros, array, reshape        
 
 
@@ -402,5 +406,6 @@
         """
 
-        from Numeric import sum, equal, ones, Float
+        from Numeric import Float
+        from numpy import sum, equal, ones        
 
         N = self.centroid_values.shape[0]
@@ -427,5 +432,6 @@
         #print 'compute_gradient'
 
-        from Numeric import array, zeros, Float
+        from Numeric import Float
+        from numpy import array, zeros        
 
         N = self.centroid_values.shape[0]
@@ -518,5 +524,6 @@
         #print 'compute_minmod_gradients'
         
-        from Numeric import array, zeros, Float,sign
+        from Numeric import Float,sign
+        from numpy import array, zeros        
         
         def xmin(a,b):
@@ -712,5 +719,6 @@
         vertex values are updated
         """
-        from Numeric import zeros, Float
+        from Numeric import Float
+        from numpy import zeros       
 
         N = self.domain.number_of_elements
@@ -763,5 +771,6 @@
     def limit_range(self):
         import sys
-        from Numeric import zeros, Float
+        from Numeric import Float
+        from numpy import zeros       
         from util import minmod, minmod_kurganov, maxmod, vanleer, vanalbada
         limiter = self.domain.limiter
@@ -825,5 +834,6 @@
 
         import sys
-        from Numeric import zeros, Float
+        from Numeric import Float
+        from numpy import zeros        
         from util import minmod, minmod_kurganov, maxmod, vanleer
 
@@ -950,5 +960,5 @@
     #from domain import Domain
     from shallow_water_domain import Domain     
-    from Numeric import arange
+    from numpy import arange
     
     points1 = [0.0, 1.0, 2.0, 3.0]
Index: /trunk/anuga_work/development/sudi/sw_1d/avalanche/A_velocity/shallow_water_domain_avalanche.py
===================================================================
--- /trunk/anuga_work/development/sudi/sw_1d/avalanche/A_velocity/shallow_water_domain_avalanche.py	(revision 7913)
+++ /trunk/anuga_work/development/sudi/sw_1d/avalanche/A_velocity/shallow_water_domain_avalanche.py	(revision 7914)
@@ -218,5 +218,6 @@
     """
 
-    from Numeric import zeros, Float
+    from Numeric import Float
+    from numpy import zeros    
 
     assert len(q) == 3,\
@@ -266,5 +267,5 @@
     from config import g, epsilon, h0
     from math import sqrt
-    from Numeric import array
+    from numpy import array
 
     #Align momentums with x-axis
@@ -336,5 +337,6 @@
 def compute_timestep(domain):
     import sys
-    from Numeric import zeros, Float
+    from Numeric import Float
+    from numpy import zeros    
 
     N = domain.number_of_elements
@@ -398,5 +400,6 @@
 def compute_fluxes_C_wellbalanced(domain):
     import sys
-    from Numeric import zeros, Float
+    from Numeric import Float
+    from numpy import zeros    
     
     N = domain.number_of_elements
@@ -475,5 +478,6 @@
 def compute_fluxes_C_nonwellbalanced2(domain):
     import sys
-    from Numeric import zeros, Float
+    from Numeric import Float
+    from numpy import zeros   
     
     N = domain.number_of_elements
@@ -582,5 +586,6 @@
 
     import sys
-    from Numeric import zeros, Float
+    from Numeric import Float
+    from numpy import zeros
     from config import epsilon, h0
 
@@ -662,5 +667,6 @@
 
     import sys
-    from Numeric import zeros, Float
+    from Numeric import Float
+    from numpy import zeros
     from config import epsilon, h0
 
@@ -766,5 +772,6 @@
     """
 
-    from Numeric import zeros, Float
+    from Numeric import Float
+    from numpy import zeros    
 
     N = domain.number_of_elements
@@ -933,5 +940,6 @@
 
     from util import gradient
-    from Numeric import zeros, Float, array, sum
+    from Numeric import Float
+    from numpy import zeros, array, sum
 
     xmom = domain.quantities['xmomentum'].explicit_update
@@ -967,5 +975,6 @@
 
     from util import gradient
-    from Numeric import zeros, Float, array, sum
+    from Numeric import Float
+    from numpy import zeros, array, sum    
     from parameters import F1#This is an additional friction!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
@@ -1003,5 +1012,6 @@
 
     from util import gradient
-    from Numeric import zeros, Float, array, sum
+    from Numeric import Float
+    from numpy import zeros, array, sum    
     from parameters import F2#This is an additional friction!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
@@ -1103,5 +1113,6 @@
     """
 
-    from Numeric import ones, Float, array
+    from Numeric import Float
+    from numpy import ones, array    
 
 
@@ -1185,5 +1196,6 @@
 
         from config import rho_a, rho_w, eta_w
-        from Numeric import array, Float
+        from Numeric import Float
+        from numpy import array        
 
         if len(args) == 2:
@@ -1216,5 +1228,6 @@
 
         from math import pi, cos, sin, sqrt
-        from Numeric import Float, ones, ArrayType
+        from Numeric import Float, ArrayType
+        from numpy import ones
 
         xmom_update = domain.quantities['xmomentum'].explicit_update
Index: /trunk/anuga_work/development/sudi/sw_1d/avalanche/A_velocity/util.py
===================================================================
--- /trunk/anuga_work/development/sudi/sw_1d/avalanche/A_velocity/util.py	(revision 7913)
+++ /trunk/anuga_work/development/sudi/sw_1d/avalanche/A_velocity/util.py	(revision 7914)
@@ -4,5 +4,5 @@
 
 def mean(x):
-    from Numeric import sum
+    from numpy import sum
     return sum(x)/len(x)
 
@@ -142,5 +142,6 @@
 
 def analytic_cannal(C,t):
-    from Numeric import zeros, Float,sqrt,sin,cos
+    from Numeric import Float,sqrt,sin,cos
+    from numpy import zeros
 
     